package fr.faraphel.common.error.http

import java.io.IOException


/**
 * An HTTP exception.
 * OkHttp does not implement its own exception but instead simply return the value.
 * This exception allow to use the try / catch syntax to handle these errors if wanted.
 */
class HttpException(
    code: Int,
    message: String,
) : IOException("HTTP Exception $code: $message")
