package fr.faraphel.common.temperature


/**
 * Represent a temperature
 * Allow to store temperature and convert the units in an easier way
 * @param value the value of the temperature (Kelvin)
 */
class Temperature(
    private val value: Double
) {
    // convert Temperature to Double (Kelvin)
    val asKelvin: Double
        get() = this.value
    // convert Temperature to Double (Celsius)
    val asCelsius: Double
        get() = this.value - 275.15
    // convert Temperature to Double (Fahrenheit)
    val asFahrenheit: Double
        get() = ((this.value - 273.15) * 1.8) + 32
}
