package fr.faraphel.consumer.rest

import jakarta.ws.rs.GET
import jakarta.ws.rs.Path


/**
 * A simple ping endpoint for the API
 * Always answer "Pong!"
 * Can be used to test if the API can be reached
 */
@Path("/v1/ping")
class PingEndpoint {
    /**
     * Handler for a GET request on this endpoint
     * @return "Pong!"
     */
    @GET
    fun get(): String = "Pong!"
}
