# Module: Converter

This module contain the code responsible for receiving values from a topic, converting them from 
Celsius temperature to Fahrenheit and send it back into another topic. 

## Build

This project is built automatically when using [docker-compose](https://docs.docker.com/compose/) at the root.

However, you can still build it manually with the following command :
```shell
./gradlew build
```

## Configuration

This module can be easily modified with the following environment variables :

| Name                         | Required | Format                                              | Default | Description                                                     |
|------------------------------|----------|-----------------------------------------------------|---------|-----------------------------------------------------------------|
| KAFKA_BOOTSTRAP_SERVERS      | true     | \<ip>[:port]                                        | /       | The Kafka server address                                        |
| TEMPERATURE_CELSIUS_TOPIC    | true     | string of alphanumeric characters, ".", "_" and "-" | /       | The Kafka topic were the temperature in celsius can be found    |
| TEMPERATURE_FAHRENHEIT_TOPIC | true     | string of alphanumeric characters, ".", "_" and "-" | /       | The Kafka topic were the temperature in fahrenheit can be found |
