# Module: Converter

This module contain the code responsible for getting the current temperature at a given location thanks to the
[Open-Meteo](https://open-meteo.com/) API, and sending it into a topic.

## Build

This project is built automatically when using [docker-compose](https://docs.docker.com/compose/) at the root.

However, you can still build it manually with the following command :
```shell
./gradlew build
```

## Configuration

This module can be easily modified with the following environment variables :

| Name                    | Required | Format                                              | Default | Description                                                  |
|-------------------------|----------|-----------------------------------------------------|---------|--------------------------------------------------------------|
| KAFKA_BOOTSTRAP_SERVERS | true     | \<ip>[:port]                                        | /       | The Kafka server address                                     |
| TEMPERATURE_TOPIC       | true     | string of alphanumeric characters, ".", "_" and "-" | /       | The Kafka topic were the temperature in celsius can be found |
| TEMPERATURE_LOCATION    | true     | \<latitude>, \<longitude>                           | /       | The coordinates where to get the temperatures from           |
